_getUpgradedConsensusState

Queries the consensus state that will serve as a trusted kernel for the next version of this chain. It will only be stored at the last height of this chain. UpgradedConsensusState RPC not supported with legacy querier

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

Path

  • last_height: STRING - Last height of the current chain must be sent in request
    as this is the height under which next consensus state is stored.
curl "https://cosmos-mainnet-archive.allthatnode.com:1317/cosmos/upgrade/v1beta1/upgraded_consensus_state/16442105" \
-H 'x-allthatnode-api-key: 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj'

Returns

  • OBJECT - The consensus state information.
{
  "upgraded_consensus_state": "string"
}

Try Yourself

Path Params
string
required
Defaults to 16442105
Headers
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj

All That Node API key

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!